## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual
Class VirtualNode

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode

All Implemented Interfaces:
  IVirtualNode

public abstract class VirtualNode
extends java.lang.Object
implements IVirtualNode

Author:
  ljulien

Constructor Summary
`VirtualNode(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`

Method Summary
`void` `addChildren(java.util.Collection collection)` Will add the following children to the collection
`void` `addChildren(java.lang.Object child)` Will add the following children to the collection
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.Object[]` `getChildrenArray()`
`java.lang.String` `getDisplayName()` Display Name of the Virtual Node - Will be displayed in the Model Explorer if null, getName will be used
`java.lang.String` `getName()` Name of the Virtual Node
`java.lang.Object` `getParent()`
`ConnectionInfo` `getParentConnection()`
`boolean` `hasChildren()`
`void` `removeAllChildren()` Will remove all the children include in the Children collection
`void` `removeChildren(java.lang.Object child)` Will remove the provided children from the child collection
`boolean` `supports(EClass type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual.IVirtualNode
`getGroupID`

Constructor Detail

### VirtualNode

    public VirtualNode(java.lang.String name,
                       java.lang.String displayName,
                       java.lang.Object parent)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `IVirtualNode`
  Name of the Virtual Node

  Specified by:
    `getName` in interface `IVirtualNode`
  Returns:
  See Also:
    `IVirtualNode.getName()`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `IVirtualNode`
  Display Name of the Virtual Node - Will be displayed in the Model Explorer if null, getName will be used

  Specified by:
    `getDisplayName` in interface `IVirtualNode`
  Returns:
  See Also:
    `IVirtualNode.getDisplayName()`

### getParent

    public java.lang.Object getParent()

  Specified by:
    `getParent` in interface `IVirtualNode`
  Returns:
    the parent of this node in the tree
  See Also:
    `IVirtualNode.getParent()`

### hasChildren

    public boolean hasChildren()

  Specified by:
    `hasChildren` in interface `IVirtualNode`
  Returns:
    true if has any children?
  See Also:
    `IVirtualNode.hasChildren()`

### getChildrenArray

    public java.lang.Object[] getChildrenArray()

  Specified by:
    `getChildrenArray` in interface `IVirtualNode`
  Returns:
    The child array
  See Also:
    `IVirtualNode.getChildrenArray()`

### addChildren

    public void addChildren(java.lang.Object child)

  Description copied from interface: `IVirtualNode`
  Will add the following children to the collection

  Specified by:
    `addChildren` in interface `IVirtualNode`
  See Also:
    `IVirtualNode.addChildren(java.lang.Object)`

### removeChildren

    public void removeChildren(java.lang.Object child)

  Description copied from interface: `IVirtualNode`
  Will remove the provided children from the child collection

  Specified by:
    `removeChildren` in interface `IVirtualNode`
  Parameters:
    `child` -
  See Also:
    `IVirtualNode.removeChildren(java.lang.Object)`

### removeAllChildren

    public void removeAllChildren()

  Will remove all the children include in the Children collection

  Specified by:
    `removeAllChildren` in interface `IVirtualNode`

### supports

    public boolean supports(EClass type)

  See Also:
    `org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual.IVirtualNode#supports(org.eclipse.emf.ecore.EClass)`

### addChildren

    public void addChildren(java.util.Collection collection)

  Description copied from interface: `IVirtualNode`
  Will add the following children to the collection

  Specified by:
    `addChildren` in interface `IVirtualNode`
  See Also:
    `IVirtualNode.addChildren(java.util.Collection)`

### getParentConnection

    public ConnectionInfo getParentConnection()

  Specified by:
    `getParentConnection` in interface `IVirtualNode`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.